<?php

//  Copyright (C) 2008 Meertens Instituut / KNAW
// 
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
// 
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
// 
//  You should have received a copy of the GNU General Public License along
//  with this program; if not, write to the Free Software Foundation, Inc.,
//  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

define('PRAAT_MYSQL_USER', 'myuser');
define('PRAAT_MYSQL_PASSWORD', 'mypassword');
define('PRAAT_MYSQL_HOST', 'localhost');
define('PRAAT_MYSQL_EXTENSION', 'mysqli');

define('PRAAT_INSERT_TRANSCRIPT_QUERY', 'INSERT INTO transcript (xmin, xmax, filename, date_added) VALUES (?,?,?,CURRENT_DATE())');
define('PRAAT_INSERT_TIER_QUERY', 'INSERT INTO tier (file_id, tier_nr, name) VALUES (?,?,?)');
define('PRAAT_INSERT_SENTENCE_QUERY', 'INSERT INTO sentence (tier_id, sentence_nr, xmin, xmax, sentence_text) VALUES (?,?,?,?,?)');
define('PRAAT_INSERT_WORD_QUERY', 'INSERT INTO word (interval_id, word, offset) VALUES (?,?,?)');
define('PRAAT_EMPTY_SENTENCE_QUERY', 'TRUNCATE sentence');
define('PRAAT_EMPTY_TIER_QUERY', 'TRUNCATE tier');
define('PRAAT_EMPTY_TRANSCRIPT_QUERY', 'TRUNCATE transcript');
define('PRAAT_EMPTY_WORD_QUERY', 'TRUNCATE word');

define('PRAAT_COMMANDLINE_OPTIONS', 'hted:'); // See documentation at <http://pear.php.net/package/Console_Getopt>
define('PRAAT_COMMANDLINE_HELP', 'Usage: php praat2sql.php [options] file
       php praat2sql.php [options] directory

The first use attempts to read a single PRAAT file, the second use
attempts to read (not recursively) all the files in the given directory.

PRAAT files should be .TextGrid files saved as UTF-8. See README.txt for
more information.

Options:
-d databasename
   database to insert the parsed transcription data
-e
   empty the database completely beforing inserting
-t
   do not tokenize the sentences
-h
   display this help and quit

');

define('PRAAT_SPLIT_SENTENCE_REGEXP', '/[[:punct:][:space:]]+/u'); // pattern to tokenize sentence
define('PRAAT_WORDS_TO_LOWERCASE', TRUE); // set to FALSE if you don't want all words in the word table converted to lowercase

?>